
QGIS Application - Bug report #7290

Save as Image: crash if existing filename is selected

2013-03-07 11:17 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 16299

Description

When I try to save the map as an image and select an existing filename, qgis crashes.

This happen both by clicking on the existing filename or by typing its name.

When typing, the crash happens as soon as I type the last letter of the existing filename.

When clicking on an existing file, the crash happens on click.

This is with current master (commit:d628c2c742c280d62310533c0734262ae291e9d6).

Last logs shown on terminal are:

Debug: src/gui/qgisgui.cpp: 103: (getSaveAsImageName) xpm format (*.xpm *.XPM)  :  xpm

Debug: src/gui/qgisgui.cpp: 103: (getSaveAsImageName) xv format (*.xv *.XV)  :  xv

Warning: QSpiAccessible::accessibleEvent not handled:  "8008"  obj:  QObject(0x0)  " invalid interface!" 

Warning: QSpiAccessible::accessibleEvent not handled:  "8008"  obj:  QSidebar(0x6dbc570, name = "sidebar") "sidebar" 

Debug: FIXME: handle dialog start.

Debug: Interface is not valid

Fatal: ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899

History

#1 - 2013-03-07 11:30 PM - Giovanni Manghi

- Status changed from Open to Feedback

does it happen also on 1.8?

#2 - 2013-03-08 01:17 AM - Sandro Santilli

YES ! (just tested it) -- should "Affected version" point to oldest affected version ?

#3 - 2013-03-19 06:40 AM - Regis Haubourg

Not reproduced today on osgeo4w 32de07d

Régis

#4 - 2013-05-21 01:54 AM - Sandro Santilli
Just reproduced with 7277a42

Warning: QSpiAccessible::accessibleEvent not handled:  "8008"  obj:  QObject(0x0)  " invalid interface!" 

Warning: QSpiAccessible::accessibleEvent not handled:  "8008"  obj:  QSidebar(0x64543b0, name = "sidebar") "sidebar" 

Debug: FIXME: handle dialog start.

Debug: Interface is not valid

Fatal: ASSERT failure in : "Got an update for an invalid inteface. Investigate this.", file atspiadaptor.cpp, line 899

Stacktrace (run through c++filt):

output/bin/qgis(_Z15myMessageOutput9QtMsgTypePKc+0x223)[0x557e34]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x2e)[0x7f9cd5b8741e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x718bf)[0x7f9cd5b878bf]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_Z6qFatalPKcz+0x94)[0x7f9cd5b87a64]

/usr/lib/x86_64-linux-gnu/qt4/plugins/accessiblebridge/libqspiaccessiblebridge.so(_ZN12AtSpiAdaptor6notifyEiP20QAccessibleInterfacei+0x21f)[0x7f9cafb7a24f]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN11QAccessible19updateAccessibilityEP7QObjectiNS_5EventE+0xd1)[0x7f9cd5534571]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN9QListView14currentChangedERK11QModelIndexS2_+0x58)[0x7f9cd5560778]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f9cd5ca5281]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QItemSelectionModel14currentChangedERK11QModelIndexS2_+0x2a)[0x7f9cd55908ea]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QItemSelectionModel15setCurrentIndexERK11QModelIndex6QFlagsINS_13SelectionFlagEE+0x90)[0x7f9cd55909e0]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView15mousePressEventEP11QMouseEvent+0x4a4)[0x7f9cd553f084]
/usr/

[0x7f9cafb7a24f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN11QAccessible19updateAccessibilityEP7QObjectiNS_5EventE+0xd1)[0x7f9cd5534571]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN9QListView14currentChangedERK11QModelIndexS2_+0x58)[0x7f9cd5560778]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2b1)[0x7f9cd5ca5281]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QItemSelectionModel14currentChangedERK11QModelIndexS2_+0x2a)[0x7f9cd55908ea]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QItemSelectionModel15setCurrentIndexERK11QModelIndex6QFlagsINS_13SelectionFlagEE+0x90)[0x7f9cd55909e0]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView15mousePressEventEP11QMouseEvent+0x4a4)[0x7f9cd553f084]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x969)[0x7f9cd5064429]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QFrame5eventEP6QEvent+0x26)[0x7f9cd54243b6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView13viewportEventEP6QEvent+0x3eb)[0x7f9cd553889b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN9QTreeView13viewportEventEP6QEvent+0x135)[0x7f9cd55804b5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate29sendThroughObjectEventFiltersEP7QObjectP6QEvent+0x88)[0x7f9cd5c91028]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x7f)[0x7f9cd501385f]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7f9cd50190bf]
/usr/src/qgis/Quantum-GIS/b/output/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0xa4)[0x7f9cd6d9fe52]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f9cd5c90e9c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x172)[0x7f9cd5014862]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7f9cd5093bf5]
/usr/li

0)[0x7f9cd55909e0]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView15mousePressEventEP11QMouseEvent+0x4a4)[0x7f9cd553f084]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x969)[0x7f9cd5064429]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QFrame5eventEP6QEvent+0x26)[0x7f9cd54243b6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN17QAbstractItemView13viewportEventEP6QEvent+0x3eb)[0x7f9cd553889b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN9QTreeView13viewportEventEP6QEvent+0x135)[0x7f9cd55804b5]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate29sendThroughObjectEventFiltersEP7QObjectP6QEvent+0x88)[0x7f9cd5c91028]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x7f)[0x7f9cd501385f]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7f9cd50190bf]
/usr/src/qgis/Quantum-GIS/b/output/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0xa4)[0x7f9cd6d9fe52]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f9cd5c90e9c]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x172)[0x7f9cd5014862]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7f9cd5093bf5]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f9cd5092bae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f9cd50bc0d2]


5c91028]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x7f)[0x7f9cd501385f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7f9cd50190bf]

/usr/src/qgis/Quantum-GIS/b/output/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0xa4)[0x7f9cd6d9fe52]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f9cd5c90e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x172)[0x7f9cd5014862]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7f9cd5093bf5]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f9cd5092bae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f9cd50bc0d2]


0_Eb+0x172)[0x7f9cd5014862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7f9cd5093bf5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f9cd5092bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f9cd50bc0d2]

#5 - 2013-05-23 01:26 PM - Sandro Santilli

I got this same backtrace and crash as of commit:83445af by simply selecting an existing directory to enter it, so may not be related to "save as image" but

generally to file browsing.

How do I build including debugging symbols again ? My current cmake call has -D CMAKE_BUILD_TYPE=Debug

#6 - 2013-05-24 03:13 AM - Giovanni Manghi

I can't replicate here.

#7 - 2013-05-24 03:32 AM - Sandro Santilli
This is on Ubuntu 12.04.2, 64bit -- libqt4 ~ 4.8.1-0ubuntu4.4

#8 - 2013-05-24 03:39 AM - Giovanni Manghi

Sandro Santilli wrote:

This is on Ubuntu 12.04.2, 64bit -- libqt4 ~ 4.8.1-0ubuntu4.4

I use the same OS/version and

QGIS version    1.9.0-Master    QGIS code revision    exported

Compiled against Qt    4.8.1    Running against Qt    4.8.1

Compiled against GDAL/OGR    1.9.2    Running against GDAL/OGR    1.9.2

GEOS Version    3.3.8    PostgreSQL Client Version    9.1.9

SpatiaLite Version    3.1.0-RC2    QWT Version    5.2.2

PROJ.4 Version    480    QScintilla2 Version

#9 - 2013-05-24 05:25 AM - Sandro Santilli

how did you obtain that version informatoin ? it's missing a commitish. Can it be a build configuration ? 

My config:

  -D GRASS_PREFIX=/usr/local/grass \\

  -D CMAKE_BUILD_TYPE=Debug \\

  -D WITH_INTERNAL_SPATIALITE=1 \\

  -D WITH_STAGED_PLUGINS=ON \\

Maybe CMAKe-BUILD_TYPE has an effect here ?

#10 - 2013-05-24 05:27 AM - Sandro Santilli

Also maybe these have a role too:

-- Found PythonInterp: /usr/bin/python (found version "2.7.3")

-- Found Python executable: /usr/bin/python

-- Found Python version: 2.7.3

-- Found Python library: /usr/lib/libpython2.7.so

-- Found SIP version: 4.13.2

-- Found PyQt4 version: 4.9.1

-- Found QScintilla2 PyQt4 module: 2.6.1

#11 - 2013-05-24 07:01 AM - Sandro Santilli

I tried with a clean rebuild, same problem. Can be reproduce as easily as starting up qgis (from build dir), File->SaveAsImage, select any item shown in the

select file window

#12 - 2013-05-24 07:10 AM - Giovanni Manghi
Sandro Santilli wrote:

how did you obtain that version informatoin ? it's missing a commitish. Can it be a build configuration ?

in the "help" dialog

My config:

-D GRASS_PREFIX=/usr/local/grass \\

-D CMAKE_BUILD_TYPE=Debug \\

-D WITH_INTERNAL_SPATIALITE=1 \\

-D WITH_STAGED_PLUGINS=ON \\

Maybe CMAKe-BUILD_TYPE has an effect here ?

I usually use the revision available through the nightly-build repository for Ubuntu, the one to use together with the Ubuntugis one, so everything is installed

from packages, nothing compiled by hand.

#13 - 2013-05-24 07:32 AM - Sandro Santilli

- Resolution set to invalid

- Status changed from Feedback to Closed

Bingo! I was affected by this:

https://bugs.launchpad.net/ubuntu/+source/qt-at-spi/+bug/998012

Uninstalling the qt-at-spi package fixed it!!
